Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management
Class TraceFilter

    java.lang.Object
      |
      +--com.sun.management.TraceFilter

public class TraceFilter
extends java.lang.Object
implements NotificationFilter

This class is used to filter trace information. The class Trace needs an object of this class for each listener.

See Also:
  Serialized Form

Field Summary
`protected int` | `levels`
`protected int` | `types`

Constructor Summary
`TraceFilter(int levels, int types)` Construct a TraceFilter object with the levels and types selected.

Method Summary
`int` | `getLevels()` get the levels selected
`int` | `getTypes()` get types selected
`boolean` | `isNotificationEnabled(Notification notification)` Implement the interface NotificationFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### levels

    protected int levels

### types

    protected int types

Constructor Detail

### TraceFilter

    public TraceFilter(int levels,
                       int types)
                throws java.lang.IllegalArgumentException

  Construct a TraceFilter object with the levels and types selected.
  Parameters:
    `levels` - the selected levels of trace information.
    `types` - the selected types of the trace information.
  Throws:
    java.lang.IllegalArgumentException - Thrown if the specified types or levels are illegal.

Method Detail

### isNotificationEnabled

    public boolean isNotificationEnabled(Notification notification)

  Implement the interface NotificationFilter. This implementation uses the specified types and levels to do filtering.
  Specified by:
    isNotificationEnabled in interface NotificationFilter
  Parameters:
    `notification` - the notification to be sent.
    `listener` - the reciver of the notification.
    `handback` - the object sent back to the listener with the notification.

### getLevels

    public int getLevels()

  get the levels selected
  Returns:
    the levels selected for filtering.

### getTypes

    public int getTypes()

  get types selected
  Returns:
    the types selected for filtering.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD